# ApplicationFramework
TKShapeSchema
ShapeSchema

# ShapeSchema_gp_Dir2d Class Reference

`#include <ShapeSchema_gp_Dir2d.hxx>`

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const gp_Dir2d &, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SWrite (const gp_Dir2d &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SRead (gp_Dir2d &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)

## Member Function Documentation

static Standard_EXPORT void ShapeSchema_gp_Dir2d::SAdd | ( | const gp_Dir2d & | ,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_gp_Dir2d::SRead | ( | gp_Dir2d & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_gp_Dir2d::SWrite | ( | const gp_Dir2d & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

The documentation for this class was generated from the following file:

- ShapeSchema_gp_Dir2d.hxx